org.rrd4j.graph

## Enum Markers

- java.lang.Object
- - java.lang.Enum<Markers>
  - - org.rrd4j.graph.Markers

- All Implemented Interfaces:
    Serializable, Comparable<Markers>

       enum Markers
      extends Enum<Markers>

  Enumeration of text alignment and formatting markers used in RRD graph legends. Provides constants for text positioning and spacing within legend elements.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGN_CENTER_MARKER` Constant to represent centered alignment marker
    `ALIGN_JUSTIFIED_MARKER` Constant to represent justified alignment marker
    `ALIGN_LEFT_MARKER` Constant to represent left alignment marker
    `ALIGN_LEFTNONL_MARKER` Constant to represent left alignment marker, without new line
    `ALIGN_RIGHT_MARKER` Constant to represent right alignment marker
    `GLUE_MARKER` Constant to represent "glue" marker
    `NO_JUSTIFICATION_MARKER` Constant to represent no justification markers
    `VERTICAL_SPACING_MARKER` Constant to represent vertical spacing marker

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) String` | `marker` The marker string value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `check(String mark)` Checks if this marker matches the specified string.
    `static Markers` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Markers[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALIGN_CENTER_MARKER

          public static final Markers ALIGN_CENTER_MARKER

      Constant to represent centered alignment marker

    - #### ALIGN_JUSTIFIED_MARKER

          public static final Markers ALIGN_JUSTIFIED_MARKER

      Constant to represent justified alignment marker

    - #### ALIGN_LEFT_MARKER

          public static final Markers ALIGN_LEFT_MARKER

      Constant to represent left alignment marker

    - #### ALIGN_LEFTNONL_MARKER

          public static final Markers ALIGN_LEFTNONL_MARKER

      Constant to represent left alignment marker, without new line

    - #### ALIGN_RIGHT_MARKER

          public static final Markers ALIGN_RIGHT_MARKER

      Constant to represent right alignment marker

    - #### GLUE_MARKER

          public static final Markers GLUE_MARKER

      Constant to represent "glue" marker

    - #### NO_JUSTIFICATION_MARKER

          public static final Markers NO_JUSTIFICATION_MARKER

      Constant to represent no justification markers

    - #### VERTICAL_SPACING_MARKER

          public static final Markers VERTICAL_SPACING_MARKER

      Constant to represent vertical spacing marker

  - ### Field Detail

    - #### marker

          final String marker

      The marker string value

  - ### Method Detail

    - #### check

          boolean check(String mark)

      Checks if this marker matches the specified string.
      Parameters:
        `mark` - the string to check against
      Returns:
        true if the marker matches, false otherwise

    - #### valueOf

          public static Markers valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Markers[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Markers c : Markers.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared